
#include <_sio_internal.h>

sio_return_t
sio_hint(int extfd, sio_hint_class_t class, const sio_hint_t *hintl,
    sio_count_t count)
{
	struct _sio_fdesc *intfd;

	_sio_init();

	/* internalize file desc. structure (refcnt++) */
	intfd = _sio_exttable_internalize(_sio_exttable_fdescs, extfd);
	if (intfd == NULL)
		return (SIO_ERR_INVALID_DESCRIPTOR);

	_sio_rcobj_unref(intfd);		/* refcnt-- */
	return (SIO_SUCCESS);
}

sio_return_t
sio_hint_by_name(const char *filename, sio_hint_class_t class,
    const sio_hint_t *hintl, sio_count_t count)
{

	_sio_init();
	return (SIO_SUCCESS);
}
